Page MenuHomePhabricator

The transition while switching between Readmode and VE is now not smooth, new content is inserted before the old content is removed leading to a flicker
Closed, ResolvedPublic8 Story Points

Description

Steps to reproduce:

1.Open a page with Ve
2.Type something and Save the content
3.Now again click on Edit
4.Switch back and forth between Read mode and VE

Observed Result:
The whole block of content repeats as a flicker below the actual content

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.25wmf21mw.ViewPageTarget: Hide ve-ui-surface during activation as well
mediawiki/extensions/VisualEditor : mastermw.ViewPageTarget: Hide ve-ui-surface during activation as well
mediawiki/extensions/VisualEditor : wmf/1.25wmf21mw.ViewPageTarget: Hide ve-ui-surface instead of ve-ce-surface
mediawiki/extensions/VisualEditor : mastermw.ViewPageTarget: Hide ve-ui-surface instead of ve-ce-surface
mediawiki/extensions/VisualEditor : mastermw.ViewPageTarget: Hide ve-ce-surface during deactivation

Event Timeline

Ryasmeen created this task.Mar 3 2015, 9:14 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 9:14 PM

With which browsers was this tested?

I saw the issue on FF35, Chrome40, and Safari7. And I noticed another one which seems to me the same issue.

FF 35 betalabs, test2 and production. Chrome is ok.

  1. In FF35, open a page with content that fills more than a screen length, e.g. https://en.wikipedia.org/wiki/Geometry
  2. Click on Edit - the page will be scrolled down.
  1. Even if you edit at the very beginning of an article - Save, and then switch between modes. It will make a page scroll to the bottom.

When there is not enough text to fill the whole screen - then that "flickering" effect will be observed.

@Aklapper: This is not a browser specific issue , happens in both Chrome and Firefox.
@Etonkovidova: Thats a separate issue and already reported at https://phabricator.wikimedia.org/T90420

Jdforrester-WMF renamed this task from [Regression pre-wmf20] The transition while switching between Readmode and VE is not smooth, the whole block of content repeats as a flicker below the actual content to The transition while switching between Readmode and VE is now not smooth, new content is inserted before the old content is removed leading to a flicker.Mar 9 2015, 3:29 PM
Jdforrester-WMF assigned this task to Krinkle.
Jdforrester-WMF triaged this task as High priority.
Jdforrester-WMF set Security to None.

Change 195496 had a related patch set uploaded (by Krinkle):
mw.ViewPageTarget: Keep pageview content hidden until surface teardown is ready

https://gerrit.wikimedia.org/r/195496

Change 195496 merged by jenkins-bot:
mw.ViewPageTarget: Hide ve-ce-surface during deactivation

https://gerrit.wikimedia.org/r/195496

Ryasmeen reopened this task as Open.Mar 11 2015, 5:29 PM

Still happening when I open VE from read mode

Yep. Confirmed. The commit fixed the behaviour during deactivation. But during activation (at the very end, right before the surface is enabled) they briefly appear together. Causing the same scroll and offset issues as previously mentioned for the deactivation.

Yep. Confirmed. The commit fixed the behaviour during deactivation. But during activation (at the very end, right before the surface is enabled) they briefly appear together. Causing the same scroll and offset issues as previously mentioned for the deactivation.

That was also the immediate cause of T90420 , although Moriel fixed that in a different way(by calling focus later).

Change 196250 had a related patch set uploaded (by Krinkle):
mw.ViewPageTarget: Hide ve-ui-surface instead of ve-ce-surface

https://gerrit.wikimedia.org/r/196250

Change 196251 had a related patch set uploaded (by Krinkle):
mw.ViewPageTarget: Hide ve-ui-surface during activation as well.

https://gerrit.wikimedia.org/r/196251

Change 196250 merged by jenkins-bot:
mw.ViewPageTarget: Hide ve-ui-surface instead of ve-ce-surface

https://gerrit.wikimedia.org/r/196250

Change 196269 had a related patch set uploaded (by Jforrester):
mw.ViewPageTarget: Hide ve-ui-surface instead of ve-ce-surface

https://gerrit.wikimedia.org/r/196269

Change 196251 merged by jenkins-bot:
mw.ViewPageTarget: Hide ve-ui-surface during activation as well

https://gerrit.wikimedia.org/r/196251

Change 196269 merged by jenkins-bot:
mw.ViewPageTarget: Hide ve-ui-surface instead of ve-ce-surface

https://gerrit.wikimedia.org/r/196269

Change 196280 had a related patch set uploaded (by Jforrester):
mw.ViewPageTarget: Hide ve-ui-surface during activation as well

https://gerrit.wikimedia.org/r/196280

Change 196280 merged by jenkins-bot:
mw.ViewPageTarget: Hide ve-ui-surface during activation as well

https://gerrit.wikimedia.org/r/196280

Jdforrester-WMF closed this task as Resolved.Mar 16 2015, 6:37 PM
Jdforrester-WMF removed a project: Patch-For-Review.